import _import from '../_import.js';

const attractFlowLinkRouter = [
  {
    path: '/attractFlowLink',
    name: '引流链接',
    component: _import('salesleads/actCodeManage/attractFlowLink', 'index')
  },
  {
    path: '/attractFlowLinkAdd',
    name: '新增引流链接',
    meta: {
      type: 'add'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink', 'detail')
  },
  {
    path: '/attractFlowLinkEdit/:id',
    name: '编辑引流链接',
    meta: {
      type: 'edit'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink', 'detail')
  },
  {
    path: '/attractFlowLinkInfo/:id',
    name: '详情引流链接',
    meta: {
      type: 'info'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink', 'detail')
  },
  {
    path: '/ladingPageList',
    name: '落地页列表',
    component: _import('salesleads/actCodeManage/attractFlowLink/landingPage', 'list')
  },
  {
    path: '/ladingPageAdd',
    name: '新建落地页',
    meta: {
      type: 'add'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink/landingPage', 'detail')
  },
  {
    path: '/ladingPageEdit/:id',
    name: '编辑落地页',
    meta: {
      type: 'edit'
    },
    component: _import('salesleads/actCodeManage/attractFlowLink/landingPage', 'detail')
  }
];

export default attractFlowLinkRouter;
